#!/bin/bash
#
#
OPTIONS="-L -O"
KERNELL="/usr/src/linux-2.6.10"
ARCHI="armv5te"
TYPO="elf32-littlearm"

if [  "x$1" = "x"  ]; then
	echo "Usage : debug Oops_file dynamic_ksyms_file"
	return 0
else
	OPSFILE=$1
fi

if [ "x$2" = "x" ]; then
	echo "(!) trig no dynamic kernel symbols."
	echo " Remember if oops isn't fatal that you can retrieve it in /proc/ksyms !"
	KSYM="-K"
else
	KSYM="-k $2"
fi

	./ksymoops-2.4.9/ksymoops $KSYM -a $ARCHI -t $TYPO \
		 -v $KERNELL/vmlinux -m $KERNELL/System.map ${OPSFILE} $OPTIONS 

